## org.hibernate.envers.entities.mapper.id
Class AbstractCompositeIdMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.id.AbstractIdMapper
          org.hibernate.envers.entities.mapper.id.AbstractCompositeIdMapper

All Implemented Interfaces:
  IdMapper, SimpleIdMapperBuilder, SimpleMapperBuilder

Direct Known Subclasses:
  EmbeddedIdMapper, MultipleIdMapper

    public abstract class AbstractCompositeIdMapper

extends AbstractIdMapper
implements SimpleIdMapperBuilder

Author:
  Adam Warski (adam at warski dot org), Lukasz Antoniak (lukasz dot antoniak at gmail dot com)

Field Summary
`protected String` `compositeIdClass`
`protected Map<PropertyData,SingleIdMapper>` `ids`

Constructor Summary
`protected` `AbstractCompositeIdMapper(String compositeIdClass)`

Method Summary
`void` `add(PropertyData propertyData)`
`Object` `mapToIdFromMap(Map data)`

Methods inherited from class org.hibernate.envers.entities.mapper.id.AbstractIdMapper
`addIdEqualsToQuery, addIdsEqualToQuery, addIdsEqualToQuery, addNamedIdEqualsToQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.entities.mapper.id.IdMapper
`addIdEqualsToQuery, addIdsEqualToQuery, addIdsEqualToQuery, addNamedIdEqualsToQuery, mapToEntityFromMap, mapToIdFromEntity, mapToMapFromEntity, mapToMapFromId, mapToQueryParametersFromId, prefixMappedProperties`

Field Detail

### ids

    protected Map<PropertyData,SingleIdMapper> ids

### compositeIdClass

    protected String compositeIdClass

Constructor Detail

### AbstractCompositeIdMapper

    protected AbstractCompositeIdMapper(String compositeIdClass)

Method Detail

### add

    public void add(PropertyData propertyData)

  Specified by:
    `add` in interface `SimpleMapperBuilder`

### mapToIdFromMap

    public Object mapToIdFromMap(Map data)

  Specified by:
    `mapToIdFromMap` in interface `IdMapper`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.